Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
osmium::min_op< T > Class Template Reference

`#include <minmax.hpp>`

## Public Member Functions
| min_op (T start_value=min_op_start_value< T >())
void | update (T value) noexcept
T | operator() () const noexcept

## Private Attributes
T | m_value

## Detailed Description

template<typename T>
class osmium::min_op< T >

Class for calculating the minimum of a bunch of values. Works with any numeric type.

Usage:

min_op<int> x; x.update(27); x.update(12); auto min = x.get(); // 12

## Constructor & Destructor Documentation

## ◆ min_op()

template<typename T >

osmium::min_op< T >::min_op | ( | T | start_value = min_op_start_value<T>() | ) |
| inline explicit

## Member Function Documentation

## ◆ operator()()

template<typename T >

T osmium::min_op< T >::operator() | ( |  | ) | const
| inline noexcept

## ◆ update()

template<typename T >

void osmium::min_op< T >::update | ( | T | value | ) |
| inline noexcept

## Member Data Documentation

## ◆ m_value

template<typename T >

T osmium::min_op< T >::m_value
| private

The documentation for this class was generated from the following file:

- include/osmium/util/minmax.hpp